rte_security_pdcp_xform(3)

NAME
rte_security_pdcp_xform

SYNOPSIS

#include <rte_security.h>

  Data Fields

int8_t bearer
uint8_t en_ordering
uint8_t remove_duplicates
enum rte_security_pdcp_domain domain
enum rte_security_pdcp_direction pkt_dir
enum rte_security_pdcp_sn_size sn_size
uint32_t hfn
uint32_t hfn_threshold
uint8_t hfn_ovrd
uint8_t sdap_enabled
uint16_t reserved

Detailed Description

PDCP security association configuration data.

This structure contains data required to create a PDCP security session.

Definition at line 536 of file rte_security.h.

Field Documentation

  int8_t bearer
PDCP bearer ID

Definition at line 537 of file rte_security.h.

  uint8_t en_ordering
Enable in order delivery, this field shall be set only if driver/HW is capable. See RTE_SECURITY_PDCP_ORDERING_CAP.

Definition at line 541 of file rte_security.h.

  uint8_t remove_duplicates
Notify driver/HW to detect and remove duplicate packets. This field should be set only when driver/hw is capable. See RTE_SECURITY_PDCP_DUP_DETECT_CAP.

Definition at line 546 of file rte_security.h.

  enum rte_security_pdcp_domain domain
PDCP mode of operation: Control or data

Definition at line 548 of file rte_security.h.

  enum rte_security_pdcp_direction pkt_dir
PDCP Frame Direction 0:UL 1:DL

Definition at line 550 of file rte_security.h.

  enum rte_security_pdcp_sn_size sn_size
Sequence number size, 5/7/12/15/18

Definition at line 552 of file rte_security.h.

  uint32_t hfn
Starting Hyper Frame Number to be used together with the SN from the PDCP frames

Definition at line 556 of file rte_security.h.

  uint32_t hfn_threshold
HFN Threshold for key renegotiation

Definition at line 558 of file rte_security.h.

  uint8_t hfn_ovrd
HFN can be given as a per packet value also. As we do not have IV in case of PDCP, and HFN is used to generate IV. IV field can be used to get the per packet HFN while enq/deq. If hfn_ovrd field is set, user is expected to set the per packet HFN in place of IV. PMDs will extract the HFN and perform operations accordingly.

Definition at line 567 of file rte_security.h.

  uint8_t sdap_enabled
In case of 5G NR, a new protocol (SDAP) header may be set inside PDCP payload which should be authenticated but not encrypted. Hence, driver should be notified if SDAP is enabled or not, so that SDAP header is not encrypted.

Definition at line 573 of file rte_security.h.

  uint16_t reserved
Reserved for future

Definition at line 575 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.